
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.guns.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.resources.ResourceKey;
import net.minecraft.core.registries.Registries;

import net.mcreator.guns.entity.ToxicBulletProjectileEntity;
import net.mcreator.guns.entity.RPGProjectileEntity;
import net.mcreator.guns.entity.LeadBulletEntity;
import net.mcreator.guns.GunsMod;

public class GunsModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(Registries.ENTITY_TYPE, GunsMod.MODID);
	public static final DeferredHolder<EntityType<?>, EntityType<LeadBulletEntity>> LEAD_BULLET = register("lead_bullet",
			EntityType.Builder.<LeadBulletEntity>of(LeadBulletEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<RPGProjectileEntity>> RPG_PROJECTILE = register("rpg_projectile",
			EntityType.Builder.<RPGProjectileEntity>of(RPGProjectileEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<ToxicBulletProjectileEntity>> TOXIC_BULLET_PROJECTILE = register("toxic_bullet_projectile",
			EntityType.Builder.<ToxicBulletProjectileEntity>of(ToxicBulletProjectileEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> DeferredHolder<EntityType<?>, EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(ResourceKey.create(Registries.ENTITY_TYPE, ResourceLocation.fromNamespaceAndPath(GunsMod.MODID, registryname))));
	}
}
