
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.guns.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.guns.GunsMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class GunsModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, GunsMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(GunsModItems.LEAD_INGOT.get());
			tabData.accept(GunsModItems.URANIUM.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(GunsModBlocks.LEAD_ORE.get().asItem());
			tabData.accept(GunsModBlocks.LEAD_BLOCK.get().asItem());
			tabData.accept(GunsModBlocks.URANIUM_ORE.get().asItem());
			tabData.accept(GunsModBlocks.URANIUM_BLOCK.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(GunsModItems.LEAD_ARMOR_HELMET.get());
			tabData.accept(GunsModItems.LEAD_ARMOR_CHESTPLATE.get());
			tabData.accept(GunsModItems.LEAD_ARMOR_LEGGINGS.get());
			tabData.accept(GunsModItems.LEAD_ARMOR_BOOTS.get());
			tabData.accept(GunsModItems.UNSTABLE_ARMOR_HELMET.get());
			tabData.accept(GunsModItems.UNSTABLE_ARMOR_CHESTPLATE.get());
			tabData.accept(GunsModItems.UNSTABLE_ARMOR_LEGGINGS.get());
			tabData.accept(GunsModItems.UNSTABLE_ARMOR_BOOTS.get());
		}
	}
}
