
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.guns.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredBlock;

import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.Block;

import net.mcreator.guns.block.WeaponBenchBlock;
import net.mcreator.guns.block.UraniumOreBlock;
import net.mcreator.guns.block.UraniumBlockBlock;
import net.mcreator.guns.block.LeadOreBlock;
import net.mcreator.guns.block.LeadBlockBlock;
import net.mcreator.guns.GunsMod;

import java.util.function.Function;

public class GunsModBlocks {
	public static final DeferredRegister.Blocks REGISTRY = DeferredRegister.createBlocks(GunsMod.MODID);
	public static final DeferredBlock<Block> LEAD_ORE = register("lead_ore", LeadOreBlock::new);
	public static final DeferredBlock<Block> LEAD_BLOCK = register("lead_block", LeadBlockBlock::new);
	public static final DeferredBlock<Block> URANIUM_ORE = register("uranium_ore", UraniumOreBlock::new);
	public static final DeferredBlock<Block> URANIUM_BLOCK = register("uranium_block", UraniumBlockBlock::new);
	public static final DeferredBlock<Block> WEAPON_BENCH = register("weapon_bench", WeaponBenchBlock::new);

	// Start of user code block custom blocks
	// End of user code block custom blocks
	private static <B extends Block> DeferredBlock<B> register(String name, Function<BlockBehaviour.Properties, ? extends B> supplier) {
		return REGISTRY.registerBlock(name, supplier, BlockBehaviour.Properties.of());
	}
}
