
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.guns.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredItem;
import net.neoforged.neoforge.registries.DeferredHolder;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;

import net.mcreator.guns.item.UraniumItem;
import net.mcreator.guns.item.UnstableUraniumItem;
import net.mcreator.guns.item.UnstableArmorItem;
import net.mcreator.guns.item.ToxicityBulletItem;
import net.mcreator.guns.item.ToxicPistolItem;
import net.mcreator.guns.item.RPGItem;
import net.mcreator.guns.item.RPGAmmoItem;
import net.mcreator.guns.item.PistolItem;
import net.mcreator.guns.item.LeadIngotItem;
import net.mcreator.guns.item.LeadCompoundItem;
import net.mcreator.guns.item.LeadBulletItemItem;
import net.mcreator.guns.item.LeadArmorItem;
import net.mcreator.guns.GunsMod;

import java.util.function.Function;

public class GunsModItems {
	public static final DeferredRegister.Items REGISTRY = DeferredRegister.createItems(GunsMod.MODID);
	public static final DeferredItem<Item> LEAD_INGOT = register("lead_ingot", LeadIngotItem::new);
	public static final DeferredItem<Item> LEAD_ORE = block(GunsModBlocks.LEAD_ORE);
	public static final DeferredItem<Item> LEAD_BLOCK = block(GunsModBlocks.LEAD_BLOCK);
	public static final DeferredItem<Item> LEAD_COMPOUND = register("lead_compound", LeadCompoundItem::new);
	public static final DeferredItem<Item> LEAD_BULLET_ITEM = register("lead_bullet_item", LeadBulletItemItem::new);
	public static final DeferredItem<Item> PISTOL = register("pistol", PistolItem::new);
	public static final DeferredItem<Item> RPG_AMMO = register("rpg_ammo", RPGAmmoItem::new);
	public static final DeferredItem<Item> RPG = register("rpg", RPGItem::new);
	public static final DeferredItem<Item> TOXICITY_BULLET = register("toxicity_bullet", ToxicityBulletItem::new);
	public static final DeferredItem<Item> TOXIC_PISTOL = register("toxic_pistol", ToxicPistolItem::new);
	public static final DeferredItem<Item> URANIUM = register("uranium", UraniumItem::new);
	public static final DeferredItem<Item> URANIUM_ORE = block(GunsModBlocks.URANIUM_ORE);
	public static final DeferredItem<Item> URANIUM_BLOCK = block(GunsModBlocks.URANIUM_BLOCK);
	public static final DeferredItem<Item> UNSTABLE_URANIUM = register("unstable_uranium", UnstableUraniumItem::new);
	public static final DeferredItem<Item> WEAPON_BENCH = block(GunsModBlocks.WEAPON_BENCH);
	public static final DeferredItem<Item> LEAD_ARMOR_HELMET = register("lead_armor_helmet", LeadArmorItem.Helmet::new);
	public static final DeferredItem<Item> LEAD_ARMOR_CHESTPLATE = register("lead_armor_chestplate", LeadArmorItem.Chestplate::new);
	public static final DeferredItem<Item> LEAD_ARMOR_LEGGINGS = register("lead_armor_leggings", LeadArmorItem.Leggings::new);
	public static final DeferredItem<Item> LEAD_ARMOR_BOOTS = register("lead_armor_boots", LeadArmorItem.Boots::new);
	public static final DeferredItem<Item> UNSTABLE_ARMOR_HELMET = register("unstable_armor_helmet", UnstableArmorItem.Helmet::new);
	public static final DeferredItem<Item> UNSTABLE_ARMOR_CHESTPLATE = register("unstable_armor_chestplate", UnstableArmorItem.Chestplate::new);
	public static final DeferredItem<Item> UNSTABLE_ARMOR_LEGGINGS = register("unstable_armor_leggings", UnstableArmorItem.Leggings::new);
	public static final DeferredItem<Item> UNSTABLE_ARMOR_BOOTS = register("unstable_armor_boots", UnstableArmorItem.Boots::new);

	// Start of user code block custom items
	// End of user code block custom items
	private static <I extends Item> DeferredItem<I> register(String name, Function<Item.Properties, ? extends I> supplier) {
		return REGISTRY.registerItem(name, supplier, new Item.Properties());
	}

	private static DeferredItem<Item> block(DeferredHolder<Block, Block> block) {
		return REGISTRY.registerItem(block.getId().getPath(), properties -> new BlockItem(block.get(), properties), new Item.Properties());
	}
}
